Bug 1095145 - at_console in dbus policy makes wicd hard to use on servers
Summary: at_console in dbus policy makes wicd hard to use on servers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wicd
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1094121
TreeView+ depends on / blocked
 
Reported: 2014-05-07 08:19 UTC by Stef Walter
Modified: 2014-09-26 09:06 UTC (History)
2 users (show)

Fixed In Version: wicd-1.7.2.4-11.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-26 09:06:13 UTC


Attachments (Terms of Use)

Description Stef Walter 2014-05-07 08:19:44 UTC
Description of problem:

Use of at_console="true" in the DBus policy file makes wicd hard to use on servers, where users are logged in via ssh, or via Cockpit, but not at a console.

at_console="true" is a real old relic, that was never really implemented everywhere. Modern services should be using polkit.

For example, NetworkManager moved away from it for the same reasons (want to be usable on servers): bug #979416

Version-Release number of selected component (if applicable):

wicd-common-0:1.7.2.4-7.fc20.noarch

/etc/dbus-1/system.d/wicd.conf:  <policy at_console="true">

Comment 1 David Cantrell 2014-06-30 14:31:39 UTC
What's the replacement for at_console="true"?  I still see that in the NetworkManager dbus policy file.

Comment 2 Stef Walter 2014-06-30 15:25:09 UTC
NetworkManager killed at_console:

https://bugzilla.redhat.com/show_bug.cgi?id=979416
http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=7e0f94f0f5a40cda3ab012069f98fafb77ddfd6d

They also fixed other polkit policy issues that affected non-console users.

To sumararize, most DBus services shouldn't care if the caller is in a session owned by a console user or not. But for those who do care about consoles, they use the appropriate polkit <defaults><allow_active>... tags.

See: http://www.freedesktop.org/software/polkit/docs/latest/polkit.8.html

or man polkit

Comment 3 David Cantrell 2014-07-02 15:01:31 UTC
Thanks.  Based on the current default D-Bus policy file for wicd, I'm curious if just removing the at_console block is sufficient.  It seems redundant anyway based on the docs I just read, so removing should work, yes?  Let's try a test build.

Comment 4 Fedora Update System 2014-07-02 15:15:59 UTC
wicd-1.7.2.4-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-10.fc20

Comment 5 Fedora Update System 2014-07-02 15:51:48 UTC
wicd-1.7.2.4-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-11.fc20

Comment 6 Fedora Update System 2014-07-03 04:04:47 UTC
Package wicd-1.7.2.4-11.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wicd-1.7.2.4-11.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8008/wicd-1.7.2.4-11.fc20
then log in and leave karma (feedback).

Comment 7 Stef Walter 2014-07-03 06:16:06 UTC
(In reply to David Cantrell from comment #3)
> Thanks.  Based on the current default D-Bus policy file for wicd, I'm
> curious if just removing the at_console block is sufficient.  It seems
> redundant anyway based on the docs I just read, so removing should work,
> yes?  Let's try a test build.

Yes, that seems right.

Comment 8 Fedora Update System 2014-09-26 09:06:13 UTC
wicd-1.7.2.4-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.